Package: org.gradle.api.java.archives

## [Java] Interface ManifestMergeSpec

- Specifies how the entries of multiple manifests should be merged together.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ManifestMergeSpec` | `eachEntry(Action<? super ManifestMergeDetails> mergeAction)` Adds an action to be applied to each key-value tuple in a merge operation.
    `ManifestMergeSpec` | `eachEntry(groovy.lang.Closure<?> mergeAction)` Adds an action to be applied to each key-value tuple in a merge operation.
    `ManifestMergeSpec` | `from(Object... mergePaths)` Adds a merge path to a manifest that should be merged into the base manifest.
    `String` | `getContentCharset()` The character set used to decode the merged manifest content.
    `void` | `setContentCharset(String contentCharset)` The character set used to decode the merged manifest content.

- - ### Method Detail

    - #### public ManifestMergeSpec eachEntry(Action<? super ManifestMergeDetails> mergeAction)

      Adds an action to be applied to each key-value tuple in a merge operation. If multiple merge paths are specified, the action is called for each key-value tuple of each merge operation. The given action is called with a ManifestMergeDetails as its parameter. Actions are executed in the order added.

      Parameters:
        `mergeAction` - A merge action to be executed.
      Returns:
        this

    - #### public ManifestMergeSpec eachEntry(groovy.lang.Closure<?> mergeAction)

      Adds an action to be applied to each key-value tuple in a merge operation. If multiple merge paths are specified, the action is called for each key-value tuple of each merge operation. The given closure is called with a ManifestMergeDetails as its parameter. Actions are executed in the order added.

      Parameters:
        `mergeAction` - The action to execute.
      Returns:
        this

    - #### public ManifestMergeSpec from(Object... mergePaths)

      Adds a merge path to a manifest that should be merged into the base manifest. A merge path can be either another Manifest or a path that is evaluated as per Project.files . If multiple merge paths are specified, the manifest are merged in the order in which they are added.

      Parameters:
        `mergePaths` - The paths of manifests to be merged
      Returns:
        this

    - #### @Incubating public String getContentCharset()

      The character set used to decode the merged manifest content. Defaults to UTF-8.

      Returns:
        the character set used to decode the merged manifest content
      Since:
        2.14

    - #### @Incubating public void setContentCharset(String contentCharset)

      The character set used to decode the merged manifest content.

      Parameters:
        `contentCharset` - the character set used to decode the merged manifest content
      See Also:
        getContentCharset()
      Since:
        2.14